package com.ejie.ab78.service.maestros;

import java.util.List;

import com.ejie.ab78.model.maestros.TipoEstablecimiento;
import com.ejie.x38.dto.JQGridRequestDto;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;


public interface TipoEstablecimientoService {

	TipoEstablecimiento add(TipoEstablecimiento ab6311s00);

	TipoEstablecimiento update(TipoEstablecimiento ab6311s00);

	TipoEstablecimiento find(TipoEstablecimiento ab6311s00);

	void remove(TipoEstablecimiento ab6311s00);

	List<TipoEstablecimiento> findAll(TipoEstablecimiento ab6311s00, JQGridRequestDto jqGridRequestDto,
			String flagOtros);

	List<TipoEstablecimiento> findAllLike(TipoEstablecimiento ab6311s00, TableRequestDto jqGridRequestDto,
			Boolean startsWith);

	TableResponseDto<TipoEstablecimiento> filter(TipoEstablecimiento filterAb6311s00, TableRequestDto jqGridRequestDto,
			Boolean startsWith);
}
